@echo off

set Table=*
set TName=""
set one=%1

if "%one%" NEQ "" (
    set Table=%one%
    set TName="^%one%$"
)

set BasePath="./"
set DBUSER="root"
set DBPSW="Fnuo123com@"
set DBNAME="fnuoos_test1"
set DBHOST="119.23.182.117"
set DBPORT="3306"

del "app\db\model\%Table%.go"

echo start reverse table %Table%

xorm reverse mysql "%DBUSER%:%DBPSW%@tcp(%DBHOST%:%DBPORT%)/%DBNAME%?charset=utf8" %BasePath%/etc/db_tpl %BasePath%/app/db/model/ %TName%

echo end